Skip to content
WP Engine Documentation

Get account usage insights

GET
/accounts/{account_id}/usage/insights
curl --request GET \
--url https://api.wpengineapi.com/v1/accounts/example/usage/insights \
--header 'Authorization: Basic <credentials>'

Get detailed usage insights for the specified account across different environment types and site types. The default response is a summary of the last 30 days. The optional first_date and last_date arguments can be specified to retrieve insights over a custom date range. Both arguments must be provided and the range cannot exceed 31 days.

account_id
required
string format: uuid

ID of account

first_date
string format: date
/^\d{4}-\d{2}-\d{2}$/

The start date for the requested metrics range (inclusive). Format: YYYY-mm-dd. Cannot be older than 13 months. If first_date is provided, last_date must also be provided.

last_date
string format: date
/^\d{4}-\d{2}-\d{2}$/

The end date for the requested metrics range (inclusive). Format: YYYY-mm-dd. If last_date is provided, first_date must also be provided.

Success

Media type application/json

Comprehensive account usage insights broken down by environment types and site types

object
visit_count

Usage metric with breakdown by environment and site types

object
total

The total usage value

string
environment_types

Breakdown of usage by environment type

object
production

Usage for production environments

string
staging

Usage for staging environments

string
development

Usage for development environments

string
site_types

Breakdown of usage by site type

object
standard

Usage for standard sites

string
transferable

Usage for transferable sites

string
sandbox

Usage for sandbox sites

string
billable_visits

Usage metric with breakdown by environment and site types

object
total

The total usage value

string
environment_types

Breakdown of usage by environment type

object
production

Usage for production environments

string
staging

Usage for staging environments

string
development

Usage for development environments

string
site_types

Breakdown of usage by site type

object
standard

Usage for standard sites

string
transferable

Usage for transferable sites

string
sandbox

Usage for sandbox sites

string
network_origin_bytes

Usage metric with breakdown by environment and site types

object
total

The total usage value

string
environment_types

Breakdown of usage by environment type

object
production

Usage for production environments

string
staging

Usage for staging environments

string
development

Usage for development environments

string
site_types

Breakdown of usage by site type

object
standard

Usage for standard sites

string
transferable

Usage for transferable sites

string
sandbox

Usage for sandbox sites

string
network_cdn_bytes

Usage metric with breakdown by environment and site types

object
total

The total usage value

string
environment_types

Breakdown of usage by environment type

object
production

Usage for production environments

string
staging

Usage for staging environments

string
development

Usage for development environments

string
site_types

Breakdown of usage by site type

object
standard

Usage for standard sites

string
transferable

Usage for transferable sites

string
sandbox

Usage for sandbox sites

string
network_total_bytes

Usage metric with breakdown by environment and site types

object
total

The total usage value

string
environment_types

Breakdown of usage by environment type

object
production

Usage for production environments

string
staging

Usage for staging environments

string
development

Usage for development environments

string
site_types

Breakdown of usage by site type

object
standard

Usage for standard sites

string
transferable

Usage for transferable sites

string
sandbox

Usage for sandbox sites

string
storage_file_bytes

Usage metric with breakdown by environment and site types

object
total

The total usage value

string
environment_types

Breakdown of usage by environment type

object
production

Usage for production environments

string
staging

Usage for staging environments

string
development

Usage for development environments

string
site_types

Breakdown of usage by site type

object
standard

Usage for standard sites

string
transferable

Usage for transferable sites

string
sandbox

Usage for sandbox sites

string
storage_database_bytes

Usage metric with breakdown by environment and site types

object
total

The total usage value

string
environment_types

Breakdown of usage by environment type

object
production

Usage for production environments

string
staging

Usage for staging environments

string
development

Usage for development environments

string
site_types

Breakdown of usage by site type

object
standard

Usage for standard sites

string
transferable

Usage for transferable sites

string
sandbox

Usage for sandbox sites

string
request_origin_count

Usage metric with breakdown by environment and site types

object
total

The total usage value

string
environment_types

Breakdown of usage by environment type

object
production

Usage for production environments

string
staging

Usage for staging environments

string
development

Usage for development environments

string
site_types

Breakdown of usage by site type

object
standard

Usage for standard sites

string
transferable

Usage for transferable sites

string
sandbox

Usage for sandbox sites

string
Example
{
"visit_count": {
"total": "1695",
"environment_types": {
"production": "1354",
"staging": "177",
"development": "164"
},
"site_types": {
"standard": "1683",
"transferable": "7",
"sandbox": "5"
}
},
"billable_visits": {
"total": "1695",
"environment_types": {
"production": "1354",
"staging": "177",
"development": "164"
},
"site_types": {
"standard": "1683",
"transferable": "7",
"sandbox": "5"
}
},
"network_origin_bytes": {
"total": "1695",
"environment_types": {
"production": "1354",
"staging": "177",
"development": "164"
},
"site_types": {
"standard": "1683",
"transferable": "7",
"sandbox": "5"
}
},
"network_cdn_bytes": {
"total": "1695",
"environment_types": {
"production": "1354",
"staging": "177",
"development": "164"
},
"site_types": {
"standard": "1683",
"transferable": "7",
"sandbox": "5"
}
},
"network_total_bytes": {
"total": "1695",
"environment_types": {
"production": "1354",
"staging": "177",
"development": "164"
},
"site_types": {
"standard": "1683",
"transferable": "7",
"sandbox": "5"
}
},
"storage_file_bytes": {
"total": "1695",
"environment_types": {
"production": "1354",
"staging": "177",
"development": "164"
},
"site_types": {
"standard": "1683",
"transferable": "7",
"sandbox": "5"
}
},
"storage_database_bytes": {
"total": "1695",
"environment_types": {
"production": "1354",
"staging": "177",
"development": "164"
},
"site_types": {
"standard": "1683",
"transferable": "7",
"sandbox": "5"
}
},
"request_origin_count": {
"total": "1695",
"environment_types": {
"production": "1354",
"staging": "177",
"development": "164"
},
"site_types": {
"standard": "1683",
"transferable": "7",
"sandbox": "5"
}
}
}

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

An invalid response was received from an upstream server

Media type application/json

Service unavailable

Media type application/json